Get organisation
Returns an organisation with its templates. You need the id or the identifier of a template to create a team.
Request
Instead of the ID, you can also use the identifier, for example contoso.
GET https://sml-api.io/organisations/contoso
Authorization: Bearer eyJ0eXAiOiJKV1Qi...Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"id": "07a9ce7c-ba4a-4cbe-8a08-1a3fee402d0b",
"name": "Contoso",
"identifier": "contoso",
"groups": [
"c5df517b-90c9-4952-a3e5-dba4e853fbf2"
],
"templates": [
{
"id": "32b06def-e61d-45d5-8151-fc866816e87f",
"name": "Project",
"identifier": "prj",
"mailNicknamePattern": "prj-{{projectCode}}",
"displayNamePattern": "{{projectCode}} - {{name}}"
},
{
"id": "3774f65e-691c-4895-8748-481dd0076b01",
"name": "Internal",
"identifier": "int",
"mailNicknamePattern": "",
"displayNamePattern": ""
}
]
}| Field | Description |
|---|---|
| templates | The templates of the organisation |
| mailNicknamePattern | Rule for the email address from the naming convention |
| displayNamePattern | Rule for the display name from the naming convention |